Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxEmitterFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxEmitterFactory

    class JmxEmitterFactory
    extends AbstractFactory

This class is the factory for the emitter node. This node faciliates the declaration of a JMX event emitter. The emitter is used to broadcast arbitrary event on the MBeanServer's event bus. Registered listeners are able to consume event once sent.

Supported syntax:

         def jmx = JmxBuilder()
         jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
         ...
         jmx.emitter.send(object)

Authors:
  Vladimir Vivien

Method Summary
`boolean` | `isLeaf()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeParam, java.util.Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeParam, java.util.Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)

Groovy Documentation